FROM eclipse-temurin:17-alpine
EXPOSE 10000
RUN addgroup -S spring && adduser -S spring -G spring
USER spring:spring
ARG JAR_FILE=recipe-java-backend-application/target/app.jar
COPY ${JAR_FILE} app.jar
ENTRYPOINT ["java","-jar","/app.jar"]
